# Uses of Class
org.eclipse.mat.inspections.FindLeaksQuery.SuspectRecord

Packages that use FindLeaksQuery.SuspectRecord
Package
Description
org.eclipse.mat.inspections
These are general queries.

## Uses of FindLeaksQuery.SuspectRecord in org.eclipse.mat.inspections

Subclasses of FindLeaksQuery.SuspectRecord in org.eclipse.mat.inspections
Modifier and Type
Class
Description
`static class`
`FindLeaksQuery.SuspectRecordGroupOfObjects`
Methods in org.eclipse.mat.inspections that return FindLeaksQuery.SuspectRecord
Modifier and Type
Method
Description
`FindLeaksQuery.SuspectRecord[]`
FindLeaksQuery.SuspectsResultTable.`getData()`
`FindLeaksQuery.SuspectRecord`
FindLeaksQuery.SuspectsResultTable.`getRow(int rowId)`
Methods in org.eclipse.mat.inspections with parameters of type FindLeaksQuery.SuspectRecord
Modifier and Type
Method
Description
`int`
FindLeaksQuery.SuspectRecord.`compareTo(FindLeaksQuery.SuspectRecord o)`
Constructors in org.eclipse.mat.inspections with parameters of type FindLeaksQuery.SuspectRecord
Modifier
Constructor
Description
``
`SuspectsResultTable(FindLeaksQuery.SuspectRecord[] data, long totalHeap)`
``
`SuspectsResultTable(FindLeaksQuery.SuspectRecord[] data, long totalHeap)`